DocsAPI ReferenceUsage/bff/usage/summary
getUsageAdmin BFF

/bff/usage/summary

Returns a comprehensive usage summary for the authenticated organisation including storage consumption, AI token usage by model, email delivery statistics, and entity counts.

UsagegetBffUsageSummary

No parameters

This endpoint takes no path, query, header or body parameters.

Request

GET /bff/usage/summary

get
curl -X GET "https://api.bizkithub.com/bff/usage/summary" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Response

JSON payload

{
  "storage": {
    "totalBytes": 0,
    "categories": [
      {
        "tag": "example_tag",
        "count": 0,
        "sizeBytes": 0
      }
    ]
  },
  "aiTokens": {
    "totalTokens": 0,
    "totalCost": 0,
    "byModel": {}
  },
  "emails": {
    "total": 0,
    "sent": 0,
    "failed": 0,
    "pending": 0
  },
  "counts": {
    "products": 0,
    "orders": 0,
    "customers": 0,
    "members": 0,
    "invoices": 0,
    "forms": 0,
    "vouchers": 0
  }
}

All response codes

1 status code documented

Need an API key?

All BizKitHub API endpoints require authentication via API key.

Get API Key